Page MenuHomePhabricator

Table 'azwiki.wikilove_log' doesn't exist
Closed, ResolvedPublic

Description

This means this extension has not been correctly deployed on azwiki, check others too. Bounce back if it is an operational error, not config or deployment:

{
  "_index": "logstash-2016.11.09",
  "_type": "mediawiki",
  "_id": "AVhIcnxQwDvXYimm6l6p",
  "_score": null,
  "_source": {
    "message": "ApiWikiLove::saveInDb\t10.64.0.205\t1146\tTable 'azwiki.wikilove_log' doesn't exist (10.64.0.205)\tINSERT  INTO `wikilove_log` (wll_timestamp,wll_sender,wll_sender_editcount,wll_sender_registration,wll_receiver,wll_receiver_editcount,wll_receiver_registration,wll_type,wll_subject,wll_message,wll_email) VALUES ('20161109093650',[sanitized]')",
    "@version": 1,
    "@timestamp": "2016-11-09T09:36:50.000Z",
    "type": "mediawiki",
    "host": "mw1224",
    "level": "ERROR",
    "tags": [
      "syslog",
      "es",
      "es"
    ],
    "channel": "DBQuery",
    "normalized_message": "{fname}\t{db_server}\t{errno}\t{error}\t{sql1line}",
    "url": "/w/api.php",
    "ip": "10.64.0.103",
    "http_method": "POST",
    "server": "az.wikipedia.org",
    "referrer": "https://az.wikipedia.org/w/index.php?title=[sanitized]",
    "unique_id": "WCLuMQpAMDsAAJvCKl0AAAFF",
    "wiki": "azwiki",
    "mwversion": "1.29.0-wmf.1",
    "reqId": "WCLuMQpAMDsAAJvCKl0AAAFF",
    "db_server": "10.64.0.205",
    "db_name": "azwiki",
    "db_user": "wikiuser",
    "method": "Database::reportQueryError",
    "errno": 1146,
    "error": "Table 'azwiki.wikilove_log' doesn't exist (10.64.0.205)",
    "sql1line": "INSERT  INTO `wikilove_log` (wll_timestamp,wll_sender,wll_sender_editcount,wll_sender_registration,wll_receiver,wll_receiver_editcount,wll_receiver_registration,wll_type,wll_subject,wll_message,wll_email) VALUES ('20161109093650',[sanitized])",
    "fname": "ApiWikiLove::saveInDb"
  },
  "fields": {
    "@timestamp": [
      1478684210000
    ]
  },
  "sort": [
    1478684210000
  ]
}

Event Timeline

jcrespo created this task.Nov 9 2016, 9:55 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 9 2016, 9:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Enabled in T119727, but worth checking every other wiki with it enabled.
Unlikely to be a WikiLove issue, more likely Wikimedia-Extension-setup lacking a createExtensionTables.php run

Krenair claimed this task.Nov 9 2016, 8:08 PM

I checked, it's just azwiki and labtestwiki

Krenair closed this task as Resolved.Nov 9 2016, 8:09 PM
krenair@labtestweb2001:~$ mwscript extensions/WikimediaMaintenance/createExtensionTables.php labtestwiki wikilove
PHP Warning:  Memcached::touch(): touch is only supported with binary protocol in /srv/mediawiki/php-1.29.0-wmf.1/includes/libs/objectcache/MemcachedPeclBagOStuff.php on line 253
Warning: Memcached::touch(): touch is only supported with binary protocol in /srv/mediawiki/php-1.29.0-wmf.1/includes/libs/objectcache/MemcachedPeclBagOStuff.php on line 253
Creating wikilove tables...done!
krenair@terbium:~$ mwscript extensions/WikimediaMaintenance/createExtensionTables.php azwiki wikilove
Creating wikilove tables...done!

Mentioned in SAL (#wikimedia-operations) [2016-11-09T20:13:05Z] <Krenair> created missing wikilove_log tables on azwiki and labtestwiki - T150321

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM